## EntangleControl

EntangleControl — the abstract base for all device controls

## Functions

EntangleControl * | entangle_control_new ()
gint | entangle_control_get_id ()
const gchar * | entangle_control_get_path ()
const gchar * | entangle_control_get_label ()
const gchar * | entangle_control_get_info ()
gboolean | entangle_control_get_dirty ()
void | entangle_control_set_dirty ()
gboolean | entangle_control_get_readonly ()
void | entangle_control_set_readonly ()

## Properties

gboolean | dirty | Read / Write / Construct Only
int | id | Read / Write / Construct Only
char * | info | Read / Write / Construct Only
char * | label | Read / Write / Construct Only
char * | path | Read / Write / Construct Only
gboolean | readonly | Read / Write / Construct Only

## Types and Values

#define | ENTANGLE_TYPE_CONTROL
struct | EntangleControlClass
| EntangleControl

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ├── EntangleControlButton
            ├── EntangleControlChoice
            ├── EntangleControlDate
            ├── EntangleControlGroup
            ├── EntangleControlRange
            ├── EntangleControlText
            ╰── EntangleControlToggle

## Description

The EntangleControl object is a common base for all device control types.

## Functions

### entangle_control_new ()

    EntangleControl *
    entangle_control_new (const gchar *path,
                          gint id,
                          const gchar *label,
                          const gchar *info,
                          gboolean readonly);

### entangle_control_get_id ()

    gint
    entangle_control_get_id (EntangleControl *control);

### entangle_control_get_path ()

    const gchar *
    entangle_control_get_path (EntangleControl *control);

### entangle_control_get_label ()

    const gchar *
    entangle_control_get_label (EntangleControl *control);

### entangle_control_get_info ()

    const gchar *
    entangle_control_get_info (EntangleControl *control);

### entangle_control_get_dirty ()

    gboolean
    entangle_control_get_dirty (EntangleControl *control);

### entangle_control_set_dirty ()

    void
    entangle_control_set_dirty (EntangleControl *control,
                                gboolean dirty);

### entangle_control_get_readonly ()

    gboolean
    entangle_control_get_readonly (EntangleControl *control);

### entangle_control_set_readonly ()

    void
    entangle_control_set_readonly (EntangleControl *control,
                                   gboolean ro);

## Types and Values

### ENTANGLE_TYPE_CONTROL

    #define ENTANGLE_TYPE_CONTROL (entangle_control_get_type())

### struct EntangleControlClass

    struct EntangleControlClass {
        GObjectClass parent_class;
    };

### EntangleControl

    typedef struct _EntangleControl EntangleControl;

## Property Details

### The `“dirty”` property

      “dirty”                    gboolean

Dirty if value has been changed.

Owner: EntangleControl

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“id”` property

      “id”                       int

Id of the control.

Owner: EntangleControl

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0

### The `“info”` property

      “info”                     char *

Info of the control.

Owner: EntangleControl

Flags: Read / Write / Construct Only

Default value: NULL

### The `“label”` property

      “label”                    char *

Label of the control.

Owner: EntangleControl

Flags: Read / Write / Construct Only

Default value: NULL

### The `“path”` property

      “path”                     char *

Path of the control.

Owner: EntangleControl

Flags: Read / Write / Construct Only

Default value: NULL

### The `“readonly”` property

      “readonly”                 gboolean

State of the control.

Owner: EntangleControl

Flags: Read / Write / Construct Only

Default value: FALSE